Lista receivers do merchant
curl --request GET \
--url https://api.astronpay.co/api/v1/receivers \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'import requests
url = "https://api.astronpay.co/api/v1/receivers"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://api.astronpay.co/api/v1/receivers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"receivers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "João Silva",
"document": "12345678901",
"createdAt": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"phone": "+5511999999999",
"limits": {
"dailyLimitBrl": 50000,
"dailyTransactionLimit": 20,
"nightTransactionsEnabled": false
},
"walletAddress": "4k5d...Solana",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"total": 147,
"totalPages": 8
}
}Receivers
Lista receivers
GET
/
receivers
Lista receivers do merchant
Authorizations
apiKey & apiSecretbearerAuth
Query Parameters
Required range:
x <= 100Available options:
PENDING, ACTIVE, SUSPENDED, BLOCKED Available options:
PENDING, SUBMITTED, UNDER_REVIEW, APPROVED, REJECTED ⌘I
